@import url('https://fonts.googleapis.com/css2?family=Roboto+Mono:wght@300;400;700&display=swap');

* {
  	box-sizing: border-box;
	padding: 0;
  	margin: 0;
}

:root {
  	--text-color: #00aa00;
}

body {
  	font-family: 'Roboto Mono', sans-serif;
  	background-color: #333;
  	color: #ccc;
  	font-size: 15px;
  	line-height: 1.6;
	
}

h1 {
  	color: var(--text-color);
  	font-size: 50px;
  	letter-spacing: -2px;
  	margin-bottom: 20px;
}

h2 {
  	color: var(--text-color);
}

h3 {
  	margin-bottom: 10px;
}

ul {
  	list-style-type: none;
}

a {
  	color: var(--text-color);
  	text-decoration: none;
}

p {
  	margin: 20px 0;
}

nav {
  	width: 80%;
}

nav ul {
  	display: inline;
  	justify-content: space-around;
  	align-items: center;
}

nav ul li {
  	color: var(--text-color);
  	cursor: pointer;
}

.container {
  	max-width: 800px;
  	margin: auto;
  	height: 90vh;
  	display: flex;
  	flex-direction: column;
  	justify-content: center;
  	align-items: center;
}

.wb-body {
  	background: #111;
  	padding: 20px;
}

.hidden {
  	display: none;
}

.white-cursor {
  	font-weight:700;
  	animation: 1.1s white-blink step-end infinite;
}

.cursor {
  	font-weight: 700;
  	animation: 1s blink step-end infinite;
}

@keyframes white-blink {
  	from,
  	to {
    		color: transparent;
  	}
	50% {
    		color: #ccc;
  	}
}

@keyframes blink {
  	from,
  	to {
   	 	color: transparent;
  	}
  	50% {
    		color: var(--text-color);
  	}
}
